import request from '@/utils/request'
import { parseStrEmpty } from '@/utils/bonus'

// // 外层批量验收合格API
// export function acceptOuterVerify(data) {
//   return request({
//     url: '/material/purchase_check_info/outerVerify',
//     method: 'put',
//     data: data
//   })
// }

// 内层批量验收合格API
export function purchaseWarehouse(data) {
  return request({
    url: '/material/purchase/storage/warehouse',
    method: 'post',
    data: data
  })
}

// 内层批量验收驳回API
export function rejectPurchaseWarehouse(data) {
  return request({
    url: '/material/purchase/storage/reject',
    method: 'post',
    data: data
  })
}


// 查询入库编码列表
export function getMachineById(query) {
  return request({
    url: '/material/purchase/storage/getMachineList',
    method: 'get',
    params: query
  })
}
